

# Live Streaming Kit

[Live Streaming Kit](https://www.youtube.com/embed/yt3NkjIBoMA) is a feature-rich livestream component, which enables you to build custom live streaming into your apps with only a few lines of code. 

And you can also customize various live streaming features by configuring parameters.

>
> <div style="position: relative; width: 100%; 
>   padding-top: calc(100% * 720 / 1280); 
>   border: 2px black solid;">
>   <iframe 
>     src="https://www.youtube.com/embed/yt3NkjIBoMA" 
>     title="ZEGOCLOUD Live Streaming Feature Intro"
>     style="position: absolute; width: 100%; height: 100%; top: 0;"
>     frameborder="0" 
>     allow="accelerometer; 
>     autoplay; 
>     clipboard-write; 
>     encrypted-media; gyroscope; 
>     picture-in-picture; 
>     web-share" 
>     allowfullscreen>
>   </iframe>
> </div>
>

> 
>
>If you find this package helpful, please help by giving it a 👍 on pub.dev! ↗️
>
>Your support and encouragement motivate us to continue improving and maintaining this package.
>
>Thank you for recognizing our work! 👏👏

---

## When do you need the Live Streaming Kit
- Build apps faster and easier
  - When you want to prototype live streaming ASAP
  - Consider speed or efficiency as the first priority
- Customize UI as needed
  - When you want to customize the UI based on your actual business needs
  - Don't want to waste time developing basic features

## Features
- Ready-to-use live streaming
- Co-hosting (make co-host & apply co-host)
- PK
- Voice changing & Reverb
- Basic face beautification
- Screen sharing
- Customizable UI style
- Real-time interactive text chat
- Real-time audience capacity display
- Device management
- Extendable menu bar


## Documentation

- [APIs](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/APIs-topic.html)
- [Events](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Events-topic.html)
- [Configs](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Configs-topic.html)
- [Advances](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Advances-topic.html)

## Migration Guides
- [Migrating to 3.0](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Migration:%20v3.0-topic.html).
- [Migrating to 3.0.2](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Migration:%20v3.0.2-topic.html).
- [Migrating to 3.0.3](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Migration:%20v3.0.3-topic.html).
- [Migrating to 3.1.2](https://pub.dev/documentation/zego_uikit_prebuilt_live_streaming/latest/topics/Migration:%20v3.1.2-topic.html).

## More
[Sample Code](https://github.com/ZEGOCLOUD/zego_uikit_prebuilt_live_streaming_example_flutter)



[Please visit our official website for more details.](https://docs.zegocloud.com/article/14874)