---

# Introduction

>
> In this migration guide, we will explain how to upgrade from version 3.1.1 to the latest 3.1.2 version. This document aims to help users understand the interface changes and feature improvements,
> and provide a migration guide for the upgrade process.

# Major Interface Changes

- ZegoUIKitPrebuiltLiveStreamingConfig

type of `turnOnCameraWhenCohosted`, change from **bool** to `bool Function()?`.

>
> - function prototype:
>```dart
>bool Function()? turnOnCameraWhenCohosted;
>```

>
> Modify your code based on the following guidelines to make it compatible with version 3.1.2:
>
> 3.1.1 Version Code:
>
>```dart
>/// Example code in version 2.x
>
>  ZegoUIKitPrebuiltLiveStreaming(
>    ...
>    config: ZegoUIKitPrebuiltLiveStreamingConfig(
>      turnOnCameraWhenCohosted: true,
>    ),
>    ...
>  );
>```
>
>3.0 Version Code:
>
>```dart
>/// Example code in version 3.0
>
>  ZegoUIKitPrebuiltLiveStreaming(
>    ...
>    config: ZegoUIKitPrebuiltLiveStreamingConfig(
>      turnOnCameraWhenCohosted: (){
>        return true;
>      },
>    ),
>    ...
>  );
>```

## Feedback Channels

If you encounter any issues or have any questions during the migration process, please provide feedback through the following channels:

- GitHub Issues: [Link to the project's issue page](https://github.com/ZEGOCLOUD/zego_uikit_prebuilt_call_flutter/issues)
- Forum: [Link to the forum page](https://www.zegocloud.com/)

We appreciate your feedback and are here to help you successfully complete the migration process.